Page MenuHomePhabricator

FlaggedRevs extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the FlaggedRevs PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/FlaggedRevs : masterAdd @covers to unit tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:52 AM
Vvjjkkii renamed this task from FlaggedRevs extension is missing @covers tags to tmcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
JJMC89 renamed this task from tmcaaaaaaa to FlaggedRevs extension is missing @covers tags.Jul 1 2018, 2:24 AM
JJMC89 raised the priority of this task from High to Needs Triage.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.

Change 455136 had a related patch set uploaded (by Legoktm; owner: Umherirrender):
[mediawiki/extensions/FlaggedRevs@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455136

Change 455136 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455136

Legoktm closed this task as Resolved.Aug 25 2018, 6:18 AM
Legoktm assigned this task to Umherirrender.